Summary: Utilities for monitoring your system and processes on your system.
Name: procps
Version: 3.1.8
Release: 6tr
License: GPL
Group: System/Monitoring
Source: http://procps.sourceforge.net/procps-%{version}.tar.gz
Patch2: procps-2.0.6-glibcncurses.patch
BuildRoot: /var/tmp/procps-root
PreReq: coreutils

%description
The procps package contains a set of system utilities which provide
system information.  Procps includes ps, free, sessreg, skill, snice,
tload, top, uptime, vmstat, w, and watch.  The ps command displays a
snapshot of running processes.  The top command provides a repetitive
update of the statuses of running processes.  The free command
displays the amounts of free and used memory on your system.  Sessreg
is a simple program for managing utmp/wtmp entries for xdm sessions.
The skill command sends a terminate command (or another specified
signal) to a specified set of processes.  The snice command is used to
change the scheduling priority of specified processes.  The tload
command prints a graph of the current system load average to a
specified tty.  The uptime command displays the current time, how long
the system has been running, how many users are logged on and system
load averages for the past one, five and fifteen minutes.  The w
command displays a list of the users who are currently logged on and
what they're running.  The watch program watches a running program.
The vmstat command displays virtual memory statistics about processes,
memory, paging, block I/O, traps and CPU activity.

%prep
%setup -q
%patch2 -p0

%build
PATH=/usr/X11R6/bin:$PATH

make CC="gcc $RPM_OPT_FLAGS -DW_SHOWFROM=1" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1 $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/lib 

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
# add libproc to the cache
/sbin/ldconfig
# remove obsolete files
rm -f /etc/psdevtab /etc/psdatabase

%files
%defattr(-,root,root)
%doc NEWS BUGS TODO
%attr(555,root,root) /bin/ps
%attr(555,root,root) /sbin/sysctl
%attr(555,root,root) /usr/bin/free
%attr(555,root,root) /usr/bin/pgrep
%attr(555,root,root) /usr/bin/pkill
%attr(555,root,root) /usr/bin/pmap
%attr(555,root,root) /usr/bin/skill
%attr(555,root,root) /usr/bin/snice
%attr(555,root,root) /usr/bin/tload
%attr(555,root,root) /usr/bin/top
%attr(555,root,root) /usr/bin/uptime
%attr(555,root,root) /usr/bin/vmstat
%attr(555,root,root) /usr/bin/w
%attr(555,root,root) /usr/bin/watch
%attr(755,root,root) /lib/libproc.so
%attr(755,root,root) /lib/libproc.so.%{version}

%attr(0644,root,root) /usr/share/man/man1/free.1*
%attr(0644,root,root) /usr/share/man/man1/pgrep.1.gz
%attr(0644,root,root) /usr/share/man/man1/pkill.1.gz
%attr(0644,root,root) /usr/share/man/man1/pmap.1.gz
%attr(0644,root,root) /usr/share/man/man1/ps.1*
%attr(0644,root,root) /usr/share/man/man1/skill.1*
%attr(0644,root,root) /usr/share/man/man1/snice.1*
%attr(0644,root,root) /usr/share/man/man1/tload.1*
%attr(0644,root,root) /usr/share/man/man1/top.1*
%attr(0644,root,root) /usr/share/man/man1/uptime.1*
%attr(0644,root,root) /usr/share/man/man1/w.1*
%attr(0644,root,root) /usr/share/man/man1/watch.1*
%attr(0644,root,root) /usr/share/man/man5/sysctl.conf.5.gz
%attr(0644,root,root) /usr/share/man/man8/sysctl.8*
%attr(0644,root,root) /usr/share/man/man8/vmstat.8*

%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.8-6tr
- Big rebuild

* Tue Jun 16 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.8-5em
- Now with correct %defattr.  Take II.

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.8-4em
- Now with correct %defattr.

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.8-3em
- Now also show host in "w".

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.8-2em
- fileutils -> coreutils.

* Mon May 19 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.8-1em
- New upstream

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.7-5em
- Rebuilt against glibc 2.3.2.

* Fri Nov  8 2002 Gerald Dachs <gda at trustix dot org> 2.0.7-4gd
- prerequires now fileutils

* Thu Sep 14 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 2.07

* Thu May 04 2000 Oystein Viggen <oysteivi at trustix dot com>
- Update to 2.0.6
- Create a workaround a conflict between glibc and ncurses5

* Fri Feb 25 2000 Lars Gaarden <larsg at trustix dot com>
- Removed X11/wmconfig/top
- Removed procps-X11
- Added procps-2.0.4-noX.patch


